Circles API

Get **v2** Circles total balance of an address

post
Body
all ofOptional
and
Responses
200

Balance string

application/json
Responseall of
and
post
/circlesV2_getTotalBalance
POST /circlesV2_getTotalBalance HTTP/1.1
Host: rpc.aboutcircles.com/
Content-Type: application/json
Accept: */*
Content-Length: 122

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "circlesV2_getTotalBalance",
  "params": [
    "0xcadd4ea3bcc361fc4af2387937d7417be8d7dfc2",
    true
  ]
}
200

Balance string

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": "99999999999999999999999999999999999"
}

Path-finding with target flow (Circles v2)

post
Body
all ofOptional
and
Responses
200

Path with flow allocations

application/json
post
/circlesV2_findPath
POST /circlesV2_findPath HTTP/1.1
Host: rpc.aboutcircles.com/
Content-Type: application/json
Accept: */*
Content-Length: 224

{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "circlesV2_findPath",
  "params": [
    {
      "Source": "0x749c930256b47049cb65adcd7c25e72d5de44b3b",
      "Sink": "0xde374ece6fa50e781e81aac78e811b33d16912c7",
      "TargetFlow": "99999999999999999999999999999999999"
    }
  ]
}
200

Path with flow allocations

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": null
}

SQL-like indexed query

post

Perform a SQL-like query on the indexed data. For a complete list of queryable tables and namespaces, see the /circles_queryable_tables endpoint.

Body
all ofOptional
and
Responses
200

Tabular result set

application/json
post
/circles_query
POST /circles_query HTTP/1.1
Host: rpc.aboutcircles.com/
Content-Type: application/json
Accept: */*
Content-Length: 447

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "circles_query",
  "params": [
    {
      "Namespace": "V_CrcV2",
      "Table": "TrustRelations",
      "Columns": [],
      "Filter": [
        {
          "Type": "Conjunction",
          "ConjunctionType": "Or",
          "Predicates": [
            {
              "Type": "FilterPredicate",
              "FilterType": "Equals",
              "Column": "truster",
              "Value": "0xae3a29a9ff24d0e936a5579bae5c4179c4dff565"
            },
            {
              "Type": "FilterPredicate",
              "FilterType": "Equals",
              "Column": "trustee",
              "Value": "0xae3a29a9ff24d0e936a5579bae5c4179c4dff565"
            }
          ]
        }
      ],
      "Order": []
    }
  ]
}
200

Tabular result set

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": null
}

Stream / log event query

post
Body
all ofOptional
and
Responses
200

Array of event objects

application/json
post
/circles_events
POST /circles_events HTTP/1.1
Host: rpc.aboutcircles.com/
Content-Type: application/json
Accept: */*
Content-Length: 147

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "circles_events",
  "params": [
    "0xde374ece6fa50e781e81aac78e811b33d16912c7",
    38000000,
    null,
    [
      "CrcV1_Trust"
    ],
    null,
    false
  ]
}
200

Array of event objects

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": null
}

System health probe

post
Body
all ofOptional
and
Responses
200

Health status

application/json
post
/circles_health
POST /circles_health HTTP/1.1
Host: rpc.aboutcircles.com/
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "circles_health",
  "params": []
}
200

Health status

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": null
}

List namespaces & tables

post
Body
all ofOptional
and
Responses
200

Namespace/table catalogue

application/json
post
/circles_tables
POST /circles_tables HTTP/1.1
Host: rpc.aboutcircles.com/
Content-Type: application/json
Accept: */*
Content-Length: 62

{
  "jsonrpc": "2.0",
  "id": 0,
  "method": "circles_tables",
  "params": []
}
200

Namespace/table catalogue

{
  "jsonrpc": "2.0",
  "id": 1,
  "result": null
}

Last updated

Was this helpful?